PowerKaraoke

Welcome to Power Video Karaoke

Thank you for choosing PowerKaraoke. Please select a topic from the list.

Quick Start
Preparing karaoke songs
Creating AVI and MPEG videos
Importing MIDI Karaoke
Removing vocals
Creating Video-CD compatible MPG movies from AVI files using TMPGEnc
Recording Video-CD using Nero

For more information please visit our web site www.powerkaraoke.com.

Copyright © 2003 Doblon.

All rights reserved.


Untitled Document

Power Video Karaoke Quick Start

Thank you for choosing Power Video Karaoke as your karaoke authoring tool. This document will help you to create your first AVI or MPEG karaoke movie in few easy steps.

1. Selecting a soundtrack

The first thing you need to do if you wish to create a video karaoke movie is to select a soundtrack for your song. You may use any WAV or MP3 file conforming the CD-audio specifications (44 kHz stereo format).

To select a soundtrack click Load soundtrack ( [image]) button on a toolbar or select Open soundtrack command from File menu. A standard Windows Open dialog box will appear allowing you to select the file of your choice. After you have selected the file containing the soundtrack, click Open button.

If this is the first time you use this soundtrack Power Video Karaoke will scan it. The scanning process can take several seconds depending on the speed of your computer.

After the soundtrack is loaded Power Video Karaoke will display it in the Soundtrack panel on the left side of the screen. The two vertical bars represent the stereo channels of the soundtrack. You may listen to the soundtrack using tape controls on the toolbar ( [image]). You may also display basic information about the soundtrack in the soundtrack info window using Soundtrack info window button ( [image]).

If you want to change the soundtrack, simply use Load soundtrack command again. To prevent mistakes PowerKaraoke will ask you if you really want to change the soundtrack.

If you would like to remove vocals from the soundtrack, you may use Power Vocal Remover. To learn how to use Power Vocal remover read Removing vocals section.

2. Entering the lyrics

The second step is to provide the lyrics for your song. If you already have the lyrics of the song you are working on it the text file, please read the section Importing the lyrics. Otherwise read on.

a) Typing in the lyrics

To type in the lyrics you need to activate the lyrics editor. To do this simply click on it. When lyrics editor is active the cursor (yellow vertical bar) blinks.

Now all you have to do is to type the words. As in any editor, you may use arrow keys to move the cursor position.

Power Video Karaoke gives you the possibility to listen to the soundtrack when entering the lyrics. Simply use the tape control buttons or keyboard shortcuts.

If you are using international characters in your song, you may change the font used in Lyrics editor. To do this select Preferences command from Toolbox menu and modify the Lyrics editor font settings.

After you have finished entering your lyrics, you may proceed to Synchronizing section.

b) Importing the lyrics

PowerKaraoke allows to import lyrics from a text file. To do this click Import Lyrics button ( [image]) or select Import lyrics from a text file command from File menu. You will be prompted to select the file. The lyrics will appear in the lyrics editor so you may modify them after importing.

3. Synchronizing

Now you need to synchronize lyrics to the music. This can be achieved in a very simple way. To start synchronizing press F5 key, click Synchronize entire song button ( [image]) or select Synchronize entire song command from Synchronization menu. The playback will start, Synchronize toolbar will appear and the first word of the song will become highlighted.

To synchronize the song all you have to do is to press SPACE key when the highlighted word should be sung. Then the next word will become highlighted until you reach the end of the song. If you make a mistake you may step back by pressing Backspace key -- the highlighting will move backwards.

After you finish the synchronization you may listen to the results and see how good did you get it. To do this simply use the playback controls making sure that Highlight lyrics during playback option ( [image]) is enabled. Now during the playback you will be able to see the currently sung word.

If you would like to modify the synchronization without starting everything over, please read Modifying synchronization section.

4. Create a karaoke video

Now you are ready to create your first karaoke video movie. To do this press F2, click Create video file button ( [image]) or select Create video file from Master menu. Create Video File dialog box will appear allowing you to adjust various settings before writing the file.

You may select the font that will be used for the song, vertical and horizontal text alignment, define color for text and sweep, enable text effects, and choose the maximum number of lines per screen.

You may also define AVI movie that will be used as a background to your song.

After you have adjusted select OK button. If Run default video player when done option has been selected, the created video will be played back after it is ready.

5. Save your work for future editing

If you decide to change anything in your song, you may save it and then come back to it. Power Video Karaoke stores its information in PKD (PowerKaraoke Document) files. These files contain lyrics and synchronization, but they do not contain the soundtrack. So if you want to reedit the song make sure to keep the soundtrack file.

PKD file is compatible with other PowerKaraoke software (PowerKaraoke and PowerKaraoke Plus). This means you may use the same PKD file to create AVI/MPEG video and CD+G karaoke track.

6. Use advanced features to fine-tune your song

Power Video Karaoke offers a wide range of tools to make your karaoke video unique and professional. Please consult the on-line help system to learn more.


Untitled Document

Power Video Karaoke window controls

The Power Video Karaoke main window is divided into several components. On the top there is a toolbar that contains buttons for most common commands. Below, on the left there is a soundtrack pane and on the right is a lyrics pane. The soundtrack pane displays the waveform of a current song and labels containing synchronized lyrics. The lyrics pane displays the text of the song, allows editing and gives access to karaoke events. The lyrics pane also contains its own toolbar.


Untitled Document

Preparing Karaoke songs

Karaoke song consists of two elements: soundtrack and lyrics. Power Video Karaoke allows to handle both of them in a convenient manner.

Working with soundtracks

Editing lyrics

Synchronization

Advanced synchronization

Testing synchronization


Untitled Document

Working with soundtracks

The soundtrack is a background music that will play when you play your karaoke video. It may be an instrumental recording, a real song with removed vocals or a MIDI song converted into appropriate format. Currently Power Video Karaoke allows you to use the following file formats: WAV (Microsoft Windows soundfiles) and MP3 (constant bitrate only). To choose the soundtrack you want to use select the Load Soundtrack button or Load Soundtrack command from File menu. If it is the first time you use the specified soundtrack, Power Video Karaoke will scan it contents to increase the performance.

After the soundtrack is loaded, Power Video Karaoke displays its waveform in a soundtrack panel. The display can be scaled (by default it is 1000 samples per pixel) and each horizontal bar represents the amplitude (loudness) of a pack of samples. For stereo files, the soundtrack pane will contain two channels (separate waveforms), and only one for mono files.

You may listen to the current soundtrack – in order to do so use the commands from Play menu or Play, Stop, and Pause buttons from the toolbar. As the soundtrack is played the cursor (the yellow horizontal line) is moved along. You may change the playback position by clicking on the waveform or on the shortcut bar (placed on the left of the soundtrack pane) that represents the entire file.

The shortcut bar also allows you to change the visible area of the soundtrack (simply click at the place you want to see and the visible area will be centered around that point). There are two ways of changing the zoom – you may drag the visible area boundaries on the shortcur bar or you may use the soundtrack info window. To invoke the soundtrack info window click Soundtrack info window toolbar button. Then you may change the zoom by using the scroll arrows or entering the desired number into an edit box.


Untitled Document

Editing Lyrics

There are several ways of providing the lyrics to Power Video Karaoke. You may type them in the lyrics pane, import them from a text file or from the MIDI Karaoke (KAR) file.

If you want to enter the lyrics of the song from the keyboard, simply activate the lyrics pane and start typing. If you want to listen to the song while you are typing, use the playback commands or buttons as described in the Soundrack session.

If you have a lyrics in the text file, you may import them into Power Video Karaoke using Import Lyrics button or Import lyrics from a text file command from File menu. All you have to do is to select the file and its contents will be displayed in the lyrics pane. After import you may modify the lyrics as if you have typed them in.

Another possibility is to use the lyrics and the synchronization from the MIDI Karaoke (KAR) file. To import the lyrics click Import MIDI lyrics button or select Import lyrics from MIDI Karaoke file command from the File menu. The lyrics will show in the lyrics pane. Note that the synchronization of the KAR file is preserved – this means that after the import text is already synchronized.

You may find more information on using MIDI files in How to create a karaoke video from a MIDI Karaoke (KAR) file section.


Untitled Document

Synchronization

The most important step in the process of creating karaoke songs is synchronizing the lyrics with the music. To allow the performer to sing along the words need to be highlighted as they should be sung.

To synchronize the words you have typed in or imported use commands from Synchronize menu or buttons from the synchronization group on the toolbar.

The first step will usually be to synchronizing the entire song – to do this select Synchronize entire song button or menu command. Power Video Karaoke will enter the synchronization mode and the synchronization toolbar will appear. The lyrics will become colored to visualize the current synchronization state – brown color marks the part of the lyrics that have already been synchronized, the white color highlights the word that is to be synchronized next, and gray is applied to the words that have not been synchronized yet.

To synchronize the highlighted word you have to press the space key or select the Set toolbar button at the moment that the word should be sung. The currently highlighted word will be marked as synchronized and the next word will become highlighted. You may pause and restart the playback using standard playback controls (Play, Pause and Stop), and if you make a mistake you may press the Backspace key or select Back toolbar button – the last synchronized word will become unmarked. You may also move ten seconds backwards by pressing minus key or selecting Rewind toolbar button – all the synchronization information for the last ten seconds will be erased.

If you make a mistake or for some other reason do not reach the end of the song in a single synchronization pass, fear not. You may continue the synchronization from the place you have stopped by selecting Continue synchronization button or menu command. If you want to redo the synchronization from the certain point, place the cursor there and select Synchronize from cursor toolbar button or menu command. Note that all the synchronization information after the selected word will be deleted. One more possibility is to retry synchronizing one of the completed lines. To do this place the cursor in the line you want to redo and select Synchronize current line toolbar button or menu command. All the synchronization information in the current line will be deleted, but all the rest of the song will remain as it is.


Untitled Document

Advanced synchronization

Synchronization information is visualized in the soundtrack pane. Each of the synchronized words is displayed as a label with a start and an end position. The word is highlighted if the playback cursor is inside the label.

Usually the word ends when the next word starts. It can be observed in a soundtrack pane – there are no spaces between words. Sometimes the song contains instrumental interludes or long pauses that can spoil the synchronization effect – the word will be swept for too long. In such cases Power Video Karaoke allows you to point the end of the word by pressing Control key or selecting Silence button from the synchronization toolbar. When the next word starts, simply press space.

There is also another way of fine-tuning the synchronization and moving the word labels. When you move the cursor over the soundtrack pane with word labels, the pointer changes when it is over the start and the end of the label. To adjust the label placement simply drag it. It is also possible to move both the start and the end of a label at the same time – in order to do this you need to keep SHIFT key pressed when moving the cursor.

If you want to move all of the labels in the song (this may be useful if you want the words to be displayed a little earlier before they should be sang or would like to eliminate the delay introduced during synchronization), choose Shift labels command from Edit menu. Then enter the desired shift time (in milliseconds) in the dialog box and select OK. If you enter a negative number, the flags are shifted backwards, and if you enter a positive number – forwards.

If you want to divide a word into syllables and synchronize them separately, simply type – (dash) in the separation place. If you have already synchronized your song, you need to re-synchronize the line you have modified. If for some reason you need dash character to appear in the song, you may select different syllable separator in using AVI settings dialog box.

There is one more special character – a hard space. If you want the space to appear in your song, but do not want it to separate the words, simply substitute it with ‘_’ (underline) character. It is treated as any other character but is substituted with space in the karaoke video. You may change the default hard space character for another in AVI settings dialog box.

If you want to insert blank lines in your song, you need to place a hard space (‘_’, underline) as a single character in the line.


Untitled Document

Testing synchronization

To check the results of the synchronization you need to make sure that Highlight lyrics during playback option is checked (this corresponds to pushed in Highlight during playback button on the lyrics pane toolbar) and play the file. As the file is played back, the lyrics that should be sung are highlighted. Note that the words are highlighted letter-by-letter, so the singer can see how fast should the word be sung. During the playback you may move the cursor and the playback will resume from the selected word.


Untitled Document

Creating karaoke videos

Once your song is synchronized you may create a karaoke video.

Writing AVI and MPEG files

Fine-tuning karaoke videos and using karaoke events


Untitled Document

Writing AVI files

To write a AVI or MPEG file with karaoke video you need to select Create video file toolbar button or Create video File command from Master menu. In the dialog box you need to specify the name and the type of the file you want to create. You will be given some basic options to set that would affect the way lyrics are presented.

Soundtrack

This is the soundtrack that will be used in the video. If you wish to create a video file without the audio track, uncheck this check box. Compression button allows to modify the compression used for your audio track.

Background image/video

If you would like an animated or still background for your video, enable this option and select the file. You may use AVI files and BMP, JPG, and PNG images.

Output file type

Choose the format of the video. You may choose to create:

  • AVI video using any video encoder installed in system. This is the default option
  • A sequence of PNG images with transparency. One image for each frame will be created.
  • An MPEG video. Use Compression button to define the settings for MPEG file. You may create VideoCD, Super VideoCD, and DVD compatible videos. You may also choose to create separate streams for video and audio.

Preset

You may save a current set of options and use it later for different song using the Save button. To invoke the preset select if from a pop-down list. To delete the existing preset use Delete button.

Width and Height

This settings define the resolution (in pixels) of the destination movie. Please note that setting higher walues result in longer processing time.

Text Area

Using this button you may change the portion of the screen that is used to display the karaoke lyrics. You may want to leave the top of the screen for a video clip and display the lyrics only at the bottom of the screen.

Frames per second

This number defines the number of frames per second that will be used in the destination AVI file. The larger this parameter is the more smoothly the video will be, but also the processing time will increase accordingly.

Compression

Use this button to change the compression options of the destination AVI file. You will be able to choose from the video encoders installed on your machine.

Font

This setting specifies which font will be used for the lyrics and how large the letters should be. If you are trading you PKD files make sure that you use fonts that are installed on the destination computer.

Text Effects

Select the text effect you want to apply. The color of the text effects can be set in Colors dialog box.

Note: Enabling text effects decrease the speed of display the text. For the fast-paced songs it is recommended to disable the text effects.

Vertical alignment

Allows to change the placement of the lines of the text. You may select Center, Top, or Bottom which would place the text at the appropriate part of the screen, or choose Space evenly, which makes sure that the first line is at the top, the last at the bottom, and all the spaces between the lines are equal.

Horizontal alignment

This setting controls the way the individual lines of text are placed. You have the choice of Center, Left, and Right.

Lines per screen

Allows to specify the maximum number of lines to be shown. Note that if the font size is too large, the actual number of lines may be lower.

Syllable separator

Allows to select the character that separates syllables in the song text. By default the syllable separator is a hyphen (-).

Hard space

This option allows to change the default character that will be displayed as a space, but does not split the word (e.g. hard_space will be treated as a single word). By default the hard space character is an underline (_).

Colors

Allows to change the background, border and text color. Simply choose the appropriate color from the list or use More button to select the custom color.

Blur

If you enable this option the output video will be blurred with the specified intensity.

Open in default movie player when done

If this option is checked, the file will open automatically in default movie player to make sure it plays correctly.

After you adjust all the settings, just click the OK button.


Untitled Document

Fine-tuning karaoke songs

Power Video Karaoke gives you the full control over the song you create. You may change the text properties, colors, and display bitmaps anywhere in the song. These extra options are available by the means of events. The event is executed after the preceeding word is painted or highlighted (it depends of the event, eg. Clear screen is triggered after highlighting, while Colors event during painting).

In order to insert a event, use Insert Event button on the lyrics pane toolbar or use Insert Event menu command from Edit menu. You will be given a choice of available types of events described below.

To see more information about each of the events, follow the links below.

Clear screen | Causes a screen to be erased after the last word before the event becomes highlighted.
Colors | Allows to change colors for text (both normal and highlighted), effects, background, and border.
Display picture | Allows to display the picture on the screen. Before the picture is displayed the screen is cleared.
Duet | Allows to change the coloring of the text to visualize the change of a singer.
Set text area | Using this event you may display the image and the text on screen at the same time. It also allows to change the portion of the screen that is used to display the lyrics.
Text settings | Allows to modify the properties of the text.


Untitled Document

Clear screen event

This event will cause a screen to be erased after the last word before the event becomes highlighted. You may select the mode that will be used to clear the screen (the default Simple is the fastest and results in immediate screen erase).


Untitled Document

Colors event

Colors event allows to change colors for text (both normal and highlighted), effects, background, and border.

Clicking on the color box will bring the color selection list box, allowing to choose from predefined colors or define custom color.

Colors change will affect all words after the event.

With Colors event it is possible to change the sweep mode from highlighting text to highlighting the text outline. To do this setect the same color for normal and highlighted text, and then select different colors for normal and highlighted effects. Also make sure to select Outline text effects.


Untitled Document

Display picture event

Allows to display the picture on the screen. Before the picture is displayed the screen is cleared.

The picture will be displayed immediately after the last word before it is highlighed.

Click on the image below to jump to the appropriate option description.

File

You need to select the file containing the image. The following formats are supported:

  • BMP (Windows bitmaps)
  • JPG
  • PNG

To invoke the file selection dialog box select Browse button.

Link to file and Insert contents options

By default Power Video Karaoke leaves the images on the hard disk and reads them when needed (Link to file option selected). This behaviour reduces the size of PKD files and allows making changes to the images using image editors. However if you delete the image file from disk, it will not be available.
If you would like to share your PKD files select Insert contents option. It will cause Power Video Karaoke to include the image in PKD file, so you may send it over to a friend or delete image files. Note that if image source file is delete you will not be able to edit it any more.

Keep on screen for N seconds

This setting controls how long will the image be visible before it is erased. Note that painting time (up to 10 seconds for a full screen sized picture) is not includes, so the total time that the picture takes equals to the sum of painting time, display time, and erase time.
Selecting 0 will cause the image to become erased immediately after it is fully painted.

Border color

Choose the color that will sorround the image. Note that it is different than Borders color setting in Colors event, as it refers to the area not taken by the image, and not only to the border of the screen.

Display mode and Erase mode

These settings control the way image is painted and erased. By default images are painted from left to right and erased immediately. You may change it by selecting any of the display effects.

Alignment

You may select the position of the picture if it is not full screen sized. Simply select the appropriate rectangle.

Force scaling

This option will force the image to be scaled to the size defined in Width and Height boxes. This size cannot be larger than the full screen.

Resizing

This setting controls the way image is scaled if its size is not full screen.

  • Fit will cause the image to be scaled up or down to take as much screen as possible.
  • Fit if larger (default setting) will scale the image only if it is too large, it will not strech it.
  • Crop will not scale the image and will display as much of it as possible.

Preview

Click this button to see how the picture will look.

Notes

Inserting image in the middle of the song may use up the time and cause the synchronization loss.


Untitled Document

Duet CD+G Event

Allows to change the coloring of the text to visualize the change of a singer.

All words after this event will be colored according to the selected mode. Three duet modes are available:

  • singer 1
  • singer 2
  • both

representing portions of the song that should be sung by first or by second singer, or by both at once. You may view and change the predefined coloring and alignment assigned to duet modes by clicking Duet settings button.

Note: Colors and Text settings flags overwrite the duet settings.

Mode allows to change the duet mode that you would like to modify.

Color and Highlight allows you to change the color of the text assigned to the selected mode, whlie Alignment controls the alignment of the text assigned to the selected mode.

Note: The duet settings are global for the song.


Untitled Document

Set Text Area Event

Using this event you may display the image and the text on screen at the same time. It also allows to change the portion of the screen that is used to display the lyrics.

Click on the image below to jump to the appropriate option description.

Define custom area

Using this option you may define the rectangle that will contain the lyrics. It may be useful if you want the lyrics to appear in the middle of the picture or simply move the text a little to the right.


Untitled Document

Text settings Event

This event allows to modify the properties of the text.

Click on the image below to jump to the appropriate option description.

Font

Allows to select the font face, size, appearance (bold, italics), and script for the text. Clicking the ... button opens the standard Windows font selection dialog box.

Text effects

You may enable any of the following text effects:

  • None
 Text effects are disabled
  • Outline
 Text is outlined by a single pixel

The color of the effect is controled separately from the color of the text. By default efects are painted in black.

Vertical alignment

Specifies how the text will be placed on the page. You have the choice of Left, Right, Center and Space evenly. The last options makes sure that the first line is at the top, the last at the bottom, and all the spaces between the lines are equal.

Horizontal alignment

This setting controls how the individual lines of text are positioned. You have the choice of Center, Left, and Right.

Lines per screen

Using this setting you specify how many lines of text should be displayed at once on screen. Do not worry if you set this option to too high number -- Power Video Karaoke will use the largest number possible.

Sweep words

Uncheck this option if you want to highlight the entire word at once, instead of coloring it gradually as it is sung. This option is cleared by default for songs imported from MIDI Karaoke files.


Set Background Event

With this event you may change the image that appears at the background of the video.

Click on the image below to jump to the appropriate option description.

Current background

This window displays the current background (either set in Video Settings dialog box or by another Set Background event placed earlier in the song). If the current background is a movie you will see a first frame of the movie.

New background

This window displays the new background. Use Browse button to find the file you would like to display. You may use still images (BMP, JPG, and PNG formats are supported) or videos (AVI, MPEG, WMV).

Transition

Transition defines a way how the background will change from one to another. Several options are possible, you may also define the duration of the transition.
To change the background immediately set the duration to zero.

Preview

Here you can see how the transition will look like.


Untitled Document

Importing MIDI Karaoke (KAR) files

Power Video Karaoke includes the wizard that can assist you in converting MIDI Karaoke files into karaoke videos. You may invoke it using Import MIDI Karaoke Wizard button ( [image]) or menu command. The wizard has two steps – first you need to select the input (MID or KAR) file and the WAV file it will be into. When this is done, you need to adjust the recording levels of the soundcard.

Note: You may convert several MIDI Karaoke files at once using Batch MIDI Karaoke Convert command.

The idea behind the KAR to AVI conversion is that Power Video Karaoke plays back the MIDI file and records the output into a WAV file. Then it imports the lyrics and the synchronization from a KAR file. To make sure that recording process is successful, select the output and input level to avoid overdrive and, at the same time, setting the volume level not too low.

After you select Finish the file will be converted – the time needed to convert a file is equal to its playback time.

Troubleshooting

To use MIDI import you need to set the input and output settings of your soundcard. Some soundcards do not follow the Windows Mixer specifications correctly and therefore volume slider and automatic setting is not possible in Power Video Karaoke. You have to do the following: run MIDI Import Wizard in Power Video Karaoke and when you reach the second dialog box (Render), open Windows mixer (double click on the speaker icon near the clock on the task bar), select Options/Properties and choose Recording. Now you need to select MIDI as an input (if MIDI is not visible here make sure it is checked on the Option/Properties dialog box). Then return to Power Video Karaoke and proceed with the convertion.
Unfortunately some soundcards do not allow MIDI to WAV recording. The solution might be wire-loop to link the output of the soundcard to the input. It should not degrade the sound, but it is the last resort.
In case of doubt please contact Power Video Karaoke support at support@powerkaraoke.com


Removing vocals

Power Vocal Remover is a tool that allows removing a lead vocal from a stereo recording. It bases on a common technique used in song mastering – lead vocal is usually mixed equally between both stereo channels.

To run Vocal Remover you need to select Vocal Remover command from Toolbox menu.

The available options are divided into several sections.

Files

Here you may select the input and the output of the processing. By default the input file is the current soundtrack and the output name is created by appending –VR to the input name.

By selecting Replace the soundtrack with the output file you may automatically change the soundtrack to the result of the processing.

Parameters

Vocal Remover has three parameters.

Level controls the intensity of the effect. By default the reduction is as heavy as possible.

Balance can give better results with songs where vocals are panned to one of the channels.

Attenuation allows to increase the volume of the output if necessary.

Preview

Play/Stop button starts the playback and allows to perform a real time tuning of the effect. You may change the playback position by clicking on the progress bar left to the button.

Usage

Vocal Remover gives good results for many CD tracks. You need to remember that it is not a magic tool and will not work if vocals are mixed in non-standard way. And also MP3 files usually do not give good results as compression changes the internal structure of the recording.


Untitled Document

PowerKaraoke has many predefined keyboard shortcuts listed below.

Command | Keyboard shortcut
File
New | Ctrl+N
Open | Ctrl+O
Save | Ctrl+S
Playback
Start | Ctrl+1
Pause | Ctrl+2
Stop | Ctrl+3
Rewind | Ctrl+4
Forward | Ctrl+5
Synchronize
Entire song | F5
Continue | F6
From cursor | F7
Current line | F8
Master
Create AVI file | F2


Untitled Document

Import Lyrics with Timing

This command allows to import the lyrics stored in a text file along with the synchronization information.

The sample text file might look like this:

00:16.540 00:16.840 On
00:16.842 00:17.100 a
00:17.102 00:17.360 dark
00:17.362 00:17.660 desert
00:17.666 00:17.800 highway\n
00:19.010 00:19.300 Cool
00:19.429 00:19.521 wind

It contais the start and the end time of a word. The end of the line is maked by \n symbol.

After the import is complete you may review the results by playing the file or inspecting time labels in the soundtrack panel.

Lyrics file

Select the text file containing the lyrics.

File preview

Here you can see the contents of the selected file.

Time format

Choose the appropriate time format. Following formats can be used:

MM:SS.TTT | minute:second.milisecond
miliseconds | miliseconds only
SS.TTT | second.milisecond

File format

Select the format of the file. Following settings are available:

Begin time only | File contains only the start time of the word.
Begin and end times | File contains both the start and the end time of the word

Separator

Choose the separator between start time, end time, and text. The defaults are any space or tab characters.

Max word length

If no end time for the word is given, Power Video Karaoke assumes that the ending time is the beginning time of the next word, but word duration cannot be longer than value specified by this option.

New line

Enter the text string that is used to mark a new line of text. By default it is '\n'.


Untitled Document

Creating Video-CD compatible MPG movie using TMPGEnc

To create Video-CD compatible MPEG movie you need to install and run free TMPGEnc. You may download the latest version here: http://www.tmpgenc.com/e_download.html. Then follow the instructions below:

  1. Open TPMPEG. The Project Wizard should appear. If it does not, you may invoke it using Project Wizard command from File menu.
  2. Select the appropriate format. It should be Video-CD/NTSC or Video-CD/PAL, depending of the destination TV system. Click Next.
  3. Use Browse button to locate video file (this is the AVI file that you have created using Power Video Karaoke). The audio file should be filled automatically with the same AVI file as it contains the audio track. Click Next.
  4. Click Next on the next two screens.
  5. Choose the output name for the MPG file. Click OK when done. The encoding should start -- you will see the currently encoded frame in the preview window.


Untitled Document

Recording Video-CD using Nero

You may use Nero Burning ROM to write Video-CD compatible MPEG file to a CD. Evaluation version of Nero can be downloaded here. Then follow the instructions below:

  1. Start the Nero with the wizard.
  2. Select Video CD format from the list on the left.
  3. Choose Menu tab and check Enable menu checkbox. You may modify the menu settings to your liking.
  4. Select New.
  5. Select the MPG files you have created and drag them into the Video window.
  6. Select Write CD command from the File menu and burn away.

You may add several tracks to a singe CD. Make sure that the files are named as you would like them to appear on the VideoCD menu.


Untitled Document

Batch MIDI Karaoke Convert

Sometimes it is necessary to convert several MIDI Karaoke songs into CDGs. This process cannot be fully automaticated, however PowerKaraoke gives you the possibility to convert a batch of KAR songs without any user intervention. These songs can be opened and edited later to make sure they play correctly. Batch convertion saves time -- you do not have to select the songs and wait till they are recorded as WAV files, instead you choose the songs and let PowerKaraoke convert them all in a single process.

Important: Make sure that your MIDIs are converted correctly using Import MIDI Karaoke Wizard before using this feature.

To convert a batch of KAR songs select Batch MIDI Karaoke Convert command from File menu. Batch KAR Convertion dialog box will appear.

Add the files to convert using Add button. Note that you may add several files at once.

If you would like to remove any of the files, use Remove button.

Output directory points to the directory that will contain all WAV, PKD and CDG/BIN files created during the convertion.

If you do not want to be warned that files are getting overwritten, check Overwrite existing files without prompting.

Checking Create .PKD files makes sure that every song is saved in .PKD document. This option makes possible to open and edit converted files afterwards.

Output type defines if the output CDG song is saved into CDG or BIN file. For more information about CDG and BIN files please see Writing CD+G files.

All CDG tracks are created using the current settings. You may modify it using CD+G Settings command from Master menu.